/****************************************************************************
****************************************************************************/

import QtQuick 1.0
import com.meego 1.0

Button {
  id: button

  // Styling for the Button
  property Style platformStyle: ButtonStyle {}
  property alias text: label.text
  property alias value: subLabel.text

  // additional space for icon
  implicitWidth: platformStyle.buttonWidth + 10 + icon.width

  // create our own main label to make room for image and value
  Label {
    id: label
    anchors.verticalCenter: parent.verticalCenter
    anchors.verticalCenterOffset: -5
    anchors.left: parent.left
    anchors.leftMargin: 10
    anchors.right: parent.right
    anchors.rightMargin: 10+icon.width

    horizontalAlignment: button.platformStyle.horizontalAlignment

    elide: Text.ElideRight

    font.family: button.platformStyle.fontFamily
    font.weight: button.platformStyle.fontWeight
    font.pixelSize: button.platformStyle.fontPixelSize*0.75
    font.capitalization: button.platformStyle.fontCapitalization
    color: !enabled ? button.platformStyle.disabledTextColor :
           pressed ? button.platformStyle.pressedTextColor :
           checked ? button.platformStyle.checkedTextColor :
                     button.platformStyle.textColor;
  }

  // create our own main label to make room for image and value
  Label {
    id: subLabel
    anchors.verticalCenter: parent.verticalCenter
    anchors.verticalCenterOffset: +10
    anchors.left: parent.left
    anchors.leftMargin: 10
    anchors.right: parent.right
    anchors.rightMargin: 10 + icon.width

    horizontalAlignment: button.platformStyle.horizontalAlignment

    elide: Text.ElideRight

    font.family: button.platformStyle.fontFamily
    font.weight: button.platformStyle.fontWeight
    font.pixelSize: button.platformStyle.fontPixelSize*0.5
    font.capitalization: button.platformStyle.fontCapitalization
    color: !enabled ? button.platformStyle.disabledTextColor :
           pressed ? button.platformStyle.pressedTextColor :
           checked ? button.platformStyle.checkedTextColor :
                     "#805000"
  }

  Image {
    id: icon

    anchors.right: parent.right
    anchors.rightMargin: 10

    anchors.verticalCenter: parent.verticalCenter
    anchors.verticalCenterOffset: -1

    source: image("button_combo")
    sourceSize.width: icon.width
    sourceSize.height: icon.height
  }
}