import QtQuick 1.0

Item {
    id: button

    property bool enabled : true
    property alias iconSource: icon.source
    property alias iconWidth: icon.width
    property alias iconHeight: icon.height
    property alias showIcon: icon.visible

    signal clicked

    Rectangle {
        id: background

        anchors.fill: button
        radius: _SPACE
        gradient: Gradient {
            GradientStop { id: gradient1; position: 0.0; color: "white" }
            GradientStop { id: gradient2; position: 0.7; color: "#cccccc" }
        }
        border.width: 2
        border.color: "#404040"
        opacity: 0.7
        smooth: true
        state: mouseArea.pressed ? "highlight" : ""

        states: State {
            name: "highlight"
            PropertyChanges { target: gradient1; color: "#cccccc" }
            PropertyChanges { target: gradient2; color: "#808080" }
        }
    }

    Image {
        id: icon

        anchors.centerIn: button
        width: 3*parent.width/4
        height: 3*parent.height/4
        smooth: true
        sourceSize.width: icon.width
        sourceSize.height: icon.height
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked: button.clicked()
    }

    states: State {
        name: "disabled"
        when: !button.enabled
        PropertyChanges { target: button; opacity: 0.4 }
        PropertyChanges { target: mouseArea; enabled: false }
    }
}



